Skip to main content
POST
/
bridge
/
initiate-stacks-to-eth
Initiate Stacks → Ethereum Bridge
curl --request POST \
  --url https://stacks.aboki.xyz/api/bridge/initiate-stacks-to-eth \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amountUSDCx": "50",
  "ethereumRecipient": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
}
'
{
  "sessionId": "<string>",
  "status": "<string>",
  "direction": "<string>",
  "amount": "<string>",
  "ethereumRecipient": "<string>",
  "stacksDepositWallet": {
    "address": "<string>"
  },
  "nextSteps": [
    "<string>"
  ],
  "estimatedTime": "<string>",
  "autoDetection": true,
  "detectionInterval": "<string>",
  "warning": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Stacks to Ethereum bridge request

amountUSDCx
string
required

Amount of USDCx to bridge

Example:

"50"

ethereumRecipient
string
required

Ethereum address to receive USDC

Example:

"0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"

Response

Stacks wallet created - ready for USDCx deposit

sessionId
string
required
status
string
required
direction
string
required
amount
string
ethereumRecipient
string
stacksDepositWallet
object
nextSteps
string[]
estimatedTime
string
autoDetection
boolean
detectionInterval
string
warning
string